package com.huimv.guowei.admin.controller;



import com.huimv.guowei.admin.entity.BaseBuilding;
import com.huimv.guowei.admin.entity.dto.BasePigpenDto;
import com.huimv.guowei.admin.service.IBaseBuildingService;
import com.huimv.guowei.admin.common.utils.Result;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.Map;

/**
 * <p>
 *  前端控制器
 * </p>
 *
 * @author author
 * @since 2023-02-13
 */
@RestController
@RequestMapping("/baseBuilding")
@CrossOrigin
public class BaseBuildingController {
    @Autowired
    private IBaseBuildingService basePigpenService;

    @PostMapping( "/addBuilding")
    public Result addPigpen(@RequestBody BasePigpenDto basePigpenDto) {
        return basePigpenService.addPigpen(basePigpenDto);
    }

//    @PostMapping( "/addUnit")
//    public Result addUnit(@RequestBody BasePigpen basePigpen) {
//        BasePigpen byId = basePigpenService.getById(basePigpen.getParentId());
//        String parentIds = byId.getOther2() + "," + basePigpen.getParentId();
//        basePigpen.setFType(3);
//        basePigpen.setOther2(parentIds);
//        if ( basePigpenService.save(basePigpen)){
//            return ResultUtil.addResult(1);
//        }
//        return ResultUtil.addResult(0);
//    }

    @PostMapping( "/updateBuilding")
    public Result updatePigpen(@RequestBody BaseBuilding baseBuilding) {
         return  basePigpenService.updatePigpen(baseBuilding);
    }
//
//    @PostMapping( "/updateUnit")
//    public Result updateUnit(@RequestBody BasePigpen basePigpen) {
//        if ( basePigpenService.updateById(basePigpen)){
//            return ResultUtil.addResult(1);
//        }
//        return ResultUtil.addResult(0);
//    }

    @PostMapping( "/deleteBuilding")
    public Result deletePigpen(@RequestBody Map<String,Integer> map) {
        return  basePigpenService.deletePigpen(map);
    }

    @RequestMapping(value = "/list",method = RequestMethod.POST)
    public Result list(@RequestBody Map<String, Object> paramsMap) {
        System.out.println("paramsMap>>"+paramsMap.toString());
        String farmCode = "";
        if (paramsMap.get("farmId") != null) {
            farmCode = paramsMap.get("farmId")+"";
        }
        String stageCode = "";
        if (paramsMap.get("stageCode") != null) {
            stageCode = paramsMap.get("stageCode")+"";
        }
        String buildName = "";
        if (paramsMap.get("buildName") != null) {
            buildName = paramsMap.get("buildName")+"";
        }
        return basePigpenService.list(farmCode,buildName,stageCode);
    }
}
